Skip to main content
`Ctrl`+`K`
scipy.stats.mstats.

# ttest_1samp

scipy.stats.mstats.ttest_1samp(a, popmean, axis=0, alternative='two-sided')

  Calculates the T-test for the mean of ONE group of scores.

  Parameters:
    a array_like

      sample observation

    popmean float or array_like

      expected value in null hypothesis, if array_like than it must have the same shape as a excluding the axis dimension

    axis int or None, optional

      Axis along which to compute test. If None, compute over the whole array a.

    alternative{‘two-sided’, ‘less’, ‘greater’}, optional

      Defines the alternative hypothesis. The following options are available (default is ‘two-sided’):

      - ‘two-sided’: the mean of the underlying distribution of the sample is different than the given population mean (popmean)

      - ‘less’: the mean of the underlying distribution of the sample is less than the given population mean (popmean)

      - ‘greater’: the mean of the underlying distribution of the sample is greater than the given population mean (popmean)

      Added in version 1.7.0.

  Returns:
    statistic float or array

      t-statistic

    pvalue float or array

      The p-value

  Notes

  For more details on `ttest_1samp`, see `scipy.stats.ttest_1samp`.